<div *ngIf="readonly"
     style="display: flex; align-items: center; flex-wrap: wrap;">
  <img *ngFor="let star of stars"
       alt="Rating"
       [src]="iconSrc[star]"
       [ngStyle]="{'margin-right': margin + 'px', 'width': width + 'px'}" />
</div>

<div *ngIf="!readonly"
     class="rating"
     style="display: flex; align-items: center; flex-wrap: wrap;">
  <span *ngFor="let star of stars; let i = index"
        [ngClass]="iconClassImage[star]"
        [attr.data-value]="i"
        (click)="onClick($event)"></span>
</div>
